%define section free

Name:		xdoclet
Version:	1.2
Release:	1jpp
Epoch:		0
Summary:	XDoclet Attribute Orientated Programming Framework
License:	XDoclet Open Source Licence
Group:		Development/Framework
Vendor:		JPackage Project
Distribution:	JPackage
URL:		http://xdoclet.sourceforge.net
Source0:	%{name}-src-%{version}.tgz
Source1:	%{name}-doc-%{version}.tar.gz
Patch0:		xdoclet-build_xml.patch
Patch1:		xdoclet-build_properties.patch
Patch2:		xdoclet-NoDocEncoding.patch
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires:  java-devel
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4
BuildRequires:  ejb >= 0:2.1
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  bsf >= 0:2.3.0
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  jakarta-commons-logging >= 0:1.0.3
BuildRequires:  jms >= 0:1.1
BuildRequires:  log4j >= 0:1.2.8
BuildRequires:  mockobjects >= 0:0.09
BuildRequires:  mx4j >= 0:1.1.1
BuildRequires:  servletapi4 >= 0:4.0.4
BuildRequires:  struts >= 0:1.1
BuildRequires:  velocity >= 0:1.3.1
BuildRequires:  webwork >= 0:1.4
BuildRequires:  xalan-j2 >= 0:2.5.2
BuildRequires:  xml-commons-apis >= 0:1.0
BuildRequires:  xjavadoc >= 0:1.0
Requires:  ant >= 0:1.5.4
Requires:  ejb >= 0:2.1
Requires:  junit >= 0:3.8.1
Requires:  bsf >= 0:2.3.0
Requires:  jakarta-commons-collections >= 0:2.1
Requires:  jakarta-commons-logging >= 0:1.0.3
Requires:  jms >= 0:1.1
Requires:  log4j >= 0:1.2.8
Requires:  mockobjects >= 0:0.09
Requires:  mx4j >= 0:1.1.1
Requires:  servletapi4 >= 0:4.0.4
Requires:  struts >= 0:1.1
Requires:  velocity >= 0:1.3.1
Requires:  webwork >= 0:1.4
Requires:  xalan-j2 >= 0:2.5.2
Requires:  xml-commons-apis >= 0:1.0
Requires:  xjavadoc >= 0:1.0

%description
This package contains the XDoclet Attribute Orientated Programming Framework

%package demo
Summary:	XDoclet Sample Projects
Group:		Development/Framework
Requires:	%{name} = %{version}-%{release}

%description demo
This package contains sample XDoclet projects.

%package javadoc
Summary:	XDoclet Javadoc
Group:		Development/Documentation

%description javadoc
This package contains XDoclet javadoc

%package manual
Summary:	XDoclet Sample Manuals and Documentation
Group:		Development/Documentation

%description manual
This package contains XDoclet documentation.

%prep
%setup -q
find . -name "*.jar" -exec rm {} \;
for j in junit bsf commons-collections commons-logging log4j velocity xalan-j2 xjavadoc-1.0 xml-commons-apis mockobjects-core; do
	ln -s $(find-jar $j) lib/$j.jar
done
for j in ejb jms servletapi4 struts velocity webwork; do
	ln -s $(find-jar $j) samples/lib/$j.jar
done
for j in mx4j/mx4j-jmx mx4j/mx4j-tools mx4j/mx4j-actions; do
        i=$(find-jar $j)
	ln -s $i samples/lib/$(basename $i)
done

%patch0
%patch1
%patch2

%build
export CLASSPATH=$(build-classpath \
ant \
)
ant -Dbuild.sysclasspath=first xjavadoc core modules maven docs samples l10n
gzip -dc %{SOURCE1} | tar -xf -

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 target/lib/xdoclet*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 target/lib/maven-xdoclet*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf target/docs/api

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr target/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%files
%defattr(-, root, root, -)
%{_javadir}/%{name}
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt

%files demo
%{_datadir}/%{name}-%{version}

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}

%files manual
%doc %{_docdir}/%{name}-%{version}

%changelog

* Fri Mar 05 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.2-1jpp
- First JPackage release.

